mysqli->sqlstate
mysqli::stat
MySQLi
PHP Manual

# mysqli::ssl_set

# mysqli_ssl_set

(PHP 5)

mysqli::ssl_set -- mysqli_ssl_set — Used for establishing secure connections using SSL

### Description

Object oriented style (method):

bool mysqli::ssl_set ( string `$key` , string `$cert` , string `$ca` , string `$capath` , string `$cipher` )

Procedural style:

bool mysqli_ssl_set ( mysqli `$link` , string `$key` , string `$cert` , string `$ca` , string `$capath` , string `$cipher` )

Used for establishing secure connections using SSL. It must be called before mysqli_real_connect(). This function does nothing unless OpenSSL support is enabled.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

`key`

  The path name to the key file.

`cert`

  The path name to the certificate file.

`ca`

  The path name to the certificate authority file.

`capath`

  The pathname to a directory that contains trusted SSL CA certificates in PEM format.

`cipher`

  A list of allowable ciphers to use for SSL encryption.

Any unused SSL parameters may be given as `NULL`

### Return Values

This function always returns `TRUE` value. If SSL setup is incorrect mysqli_real_connect() will return an error when you attempt to connect.

### See Also

- mysqli_options()
- mysqli_real_connect()

mysqli->sqlstate
mysqli::stat
MySQLi
PHP Manual